Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.ee
Class JDBCManagedConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl
                  |
                  +--kodo.jdbc.conf.JDBCConfigurationImpl
                        |
                        +--kodo.jdbc.ee.JDBCManagedConnectionFactory

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, JDBCConfiguration, JDOConfiguration, JDOManagedConnectionFactory, ManagedConnectionFactory, Serializable

public class JDBCManagedConnectionFactory
extends JDBCConfigurationImpl
implements JDOManagedConnectionFactory

JCA managed connection factory.

See Also:
  Serialized Form

Fields inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`connectionDecorators, dbdictionary, jdbcListeners, mappingFactory, schemaFactory, sequenceFactory, updateManager`

Fields inherited from class kodo.conf.JDOConfigurationImpl
`aggregateListeners, classResolver, connectionFactory, connectionFactory2, dataCacheManager, dataCaches, defDataCacheClassName, defDataCacheProperties, filterListeners, license, managedRuntime, managerInstance, managerServer, managerUI, metaRepos, proxyManager, queryCompilationCache, remoteEventManager, timeWatchManager`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_RUNTIME, LOG_TOOL`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface kodo.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDBCManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cxManager)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo cri)`
`PrintWriter` | `getLogWriter()`
`ManagedConnection` | `matchManagedConnections(Set connections, Subject subject, ConnectionRequestInfo cri)`
`void` | `setLogWriter(PrintWriter logWriter)`
`void` | `write(PrintStream out)`

Methods inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`close, getAutoIncrementConstraints, getClassIndicator, getConnectionDecoratorInstances, getConnectionDecorators, getConnectionFactory, getConnectionFactory2, getDataSource, getDataSource2, getDataSourceMode, getDBDictionary, getDBDictionaryInstance, getFetchDirection, getFetchDirectionConstant, getForeignKeyConstraints, getJDBCListenerInstances, getJDBCListeners, getLicense, getLRSSize, getLRSSizeConstant, getMappingFactory, getMappingFactoryInstance, getMappingRepository, getMetaDataRepository, getResultSetType, getResultSetTypeConstant, getSchemaFactory, getSchemaFactoryInstance, getSchemas, getSchemasList, getSequenceFactory, getSequenceFactoryInstance, getSubclassMapping, getTransactionIsolation, getTransactionIsolationConstant, getUpdateManager, getUpdateManagerInstance, getVersionIndicator, isDataSourceModeEnlisted, newFetchConfigurationInstance, newPersistenceManagerImplInstance, setAutoIncrementConstraints, setAutoIncrementConstraints, setClassIndicator, setConnectionDecorators, setConnectionDecorators, setConnectionFactory, setConnectionFactory2, setDataSourceMode, setDataSourceModeEnlisted, setDBDictionary, setDBDictionary, setFetchDirection, setFetchDirection, setForeignKeyConstraints, setForeignKeyConstraints, setJDBCListeners, setJDBCListeners, setLRSSize, setLRSSize, setMappingFactory, setMappingFactory, setResultSetType, setResultSetType, setSchemaFactory, setSchemaFactory, setSchemas, setSchemas, setSequenceFactory, setSequenceFactory, setSubclassMapping, setTransactionIsolation, setTransactionIsolation, setUpdateManager, setUpdateManager, setVersionIndicator`

Methods inherited from class kodo.conf.JDOConfigurationImpl
`assertNotFrozen, getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getLicenseKey, getManagedRuntime, getManagedRuntimeInstance, getManagementServer, getManagementUI, getManagerInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistentClasses, getPersistentClassesList, getProductName, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getTimeWatchManager, getTransactionMode, isTransactionModeManaged, newDataCacheInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntime, setManagementServer, setManagementUI, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setTransactionMode, setTransactionModeManaged`

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addInt, addPlugin, addPluginList, addString, addStringList, addValue, equals, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getLogFactory, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, isCaching, isFrozen, loadDefaults, readExternal, setCaching, setFrozen, setLog, setLogFactory, setProperties, setPropertiesFile, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.conf.JDOConfiguration
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getLicense, getLicenseKey, getManagedRuntime, getManagedRuntimeInstance, getManagementServer, getManagementUI, getManagerInstance, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistentClasses, getPersistentClassesList, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getTimeWatchManager, getTransactionMode, isTransactionModeManaged, newDataCacheInstance, newFetchConfigurationInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntime, setManagementServer, setManagementUI, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setTransactionMode, setTransactionModeManaged`

Methods inherited from interface com.solarmetric.conf.Configuration
`close, fromProperties, getLog, getLogFactory, getValue, getValues, isCaching, isFrozen, setCaching, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`equals, hashCode`

Constructor Detail

### JDBCManagedConnectionFactory

    public JDBCManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connections,
                                                     Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`

### write

    public void write(PrintStream out)

### setLogWriter

    public void setLogWriter(PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.